HUGO-NEW-SITE(1)

NAME

hugo-new-site - Create a new site (skeleton)

SYNOPSIS

hugo new site [path] [flags]

DESCRIPTION

Create a new site in the provided directory. The new site will have the correct structure, but no content or theme yet. Use hugo new [contentPath] to create new content.

OPTIONS

--force[=false]
    init inside non-empty directory

-f, --format="toml"
    config frontmatter format

-h, --help[=false]
    help for site

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-new(1)